import React, {useState, useCallback, useEffect} from 'react';
import ReactDOM from 'react-dom';
import { csv } from 'd3';
import { message } from './message.js' 

const csvUrl = 'https://gist.githubusercontent.com/rajamrit-singh/4bfd3588f7c8ce510d30aa4ab2e5295f/raw/cssNamedColors.csv'
const width = 960;
const height = 500;


const App = () => {
  const [data, setData] = useState(null)

  useEffect(() => {
 		d3.csv(csvUrl).then(setData)}, [csvUrl])
  if(!data) {
    return <pre>Loading ... </pre>
  }
  console.log(data[0])
  return data.map(d => <div style={{backgroundColor: d["RGB hex value"], width: '960px', height: '4px'}}></div>)
  return (<pre>{data ? message(data) : 'loading'}</pre>)
};

const rootElement = document.getElementById('root');
ReactDOM.render(<App />, rootElement);